//JavaScript读写命令行
const readline=require('readline');
const rl=readline.createInterface({
    input:process.stdin,
    output:process.stdout
})

//fibonacci序列函数，递归调用
function fibo(index){
    if(parseInt(index)<1){
        return -1;
    }
    else if (parseInt(index)===1|parseInt(index)===2){
        return 1;
    }else{
        return fibo(parseInt(index)-1)+fibo(parseInt(index)-2);
    }
}

//读取命令行参数，如果输入了数字，则直接读取并计算
if(process.argv.length>2){
    let index=parseInt(process.argv[2]);//argv[0] 是node.exe ,argv[1]是本文件的名称
    console.log(`the fabonacci sequence of ${index} is ${fibo(index)}`);
    process.exit(0);
}

//如果调用时没有输入数字，则在此处输入数字
console.log("please input an integer to calculate the fabonacci sequence");
rl.on('line',(index)=>{
    console.log(`the fabonacci sequence of ${index} is ${fibo(index)}`);
    rl.close();
})

